- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DirectoriesAndFiles Class Reference

the DirectoriesAndFiles class. More...

`#include <OSOption.h>`

List of all members.

## Public Member Functions
| DirectoriesAndFiles ()
| Default constructor.
| ~DirectoriesAndFiles ()
| Class destructor.
bool | IsEqual (DirectoriesAndFiles *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setPath (int numberOfPaths, std::string *path)
| A function to set an array of <path> elements.
bool | addPath (std::string path)
| A function to add a <path> element.
## Public Attributes
int | numberOfPaths
| the number of <path> children
std::string * | path
| the list of directory and file paths

## Detailed Description

the DirectoriesAndFiles class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 710 of file OSOption.h.

## Constructor & Destructor Documentation

DirectoriesAndFiles::DirectoriesAndFiles | ( |  | ) |

Default constructor.

Definition at line 287 of file OSOption.cpp.

References path.

DirectoriesAndFiles::~DirectoriesAndFiles | ( |  | ) |

Class destructor.

Definition at line 296 of file OSOption.cpp.

References path.

## Member Function Documentation

bool DirectoriesAndFiles::IsEqual | ( | DirectoriesAndFiles * | that | ) |

A function to check for the equality of two objects.

Definition at line 8726 of file OSOption.cpp.

References numberOfPaths, and path.

bool DirectoriesAndFiles::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10551 of file OSOption.cpp.

References numberOfPaths, OSRand(), and path.

Referenced by JobOption::setRandom().

bool DirectoriesAndFiles::setPath | ( | int | numberOfPaths,
|  | std::string * | path |
| ) |  |  |

A function to set an array of <path> elements.

Parameters:

  | numberOfPaths,: | number of <path> elements to be set
  | path,: | the array of <path> elements that are to be set

Definition at line 4250 of file OSOption.cpp.

Referenced by OSOption::setDirectoriesToDelete(), OSOption::setDirectoriesToMake(), OSOption::setFilesToDelete(), OSOption::setFilesToMake(), OSOption::setRequiredDirectories(), and OSOption::setRequiredFiles().

bool DirectoriesAndFiles::addPath | ( | std::string | path | ) |

A function to add a <path> element.

Parameters:

  | path,: | the path to be added

Definition at line 4280 of file OSOption.cpp.

References numberOfPaths.

Referenced by OSOption::setAnotherDirectoryToDelete(), OSOption::setAnotherDirectoryToMake(), OSOption::setAnotherFileToDelete(), OSOption::setAnotherFileToMake(), OSOption::setAnotherRequiredDirectory(), and OSOption::setAnotherRequiredFile().

## Member Data Documentation

int DirectoriesAndFiles::numberOfPaths

the number of <path> children

Definition at line 714 of file OSOption.h.

Referenced by addPath(), OSOption::getNumberOfDirectoriesToDelete(), OSOption::getNumberOfDirectoriesToMake(), OSOption::getNumberOfFilesToDelete(), OSOption::getNumberOfFilesToMake(), OSOption::getNumberOfRequiredDirectories(), OSOption::getNumberOfRequiredFiles(), IsEqual(), and setRandom().

std::string* DirectoriesAndFiles::path

the list of directory and file paths

Definition at line 717 of file OSOption.h.

Referenced by DirectoriesAndFiles(), OSOption::getDirectoriesToDelete(), OSOption::getDirectoriesToMake(), OSOption::getFilesToDelete(), OSOption::getFilesToMake(), OSOption::getRequiredDirectories(), OSOption::getRequiredFiles(), IsEqual(), OSOption::setDirectoriesToDelete(), OSOption::setDirectoriesToMake(), OSOption::setFilesToDelete(), OSOption::setFilesToMake(), setRandom(), OSOption::setRequiredDirectories(), OSOption::setRequiredFiles(), and ~DirectoriesAndFiles().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp